﻿namespace ConsoleApp2.Options;

public struct TableMockConfig
{
    /// <summary>
    /// 使用深拷贝
    /// </summary>
    public bool UseDeepCopy { get; set; }
    /// <summary>
    /// 模拟数据量
    /// </summary>
    public long MockCount { get; set; }

    /// <summary>
    /// 需要开启MockCount
    /// </summary>
    public string[]? AutoIncrementColumn { get; set; } = null; // TODO: 换为自定义委托
    
    public void Deconstruct(out bool useDeepCopy, out long mockCount, out string[]? autoIncrementColumn)
    {
        useDeepCopy = UseDeepCopy;
        mockCount = MockCount;
        autoIncrementColumn = AutoIncrementColumn;
    }

    public TableMockConfig(bool useDeepCopy, long mockCount, string[]? autoIncrementColumn)
    {
        UseDeepCopy = useDeepCopy;
        MockCount = mockCount;
        AutoIncrementColumn = autoIncrementColumn;
    }
}